/****************************************************************************************

                COMUtilities.h

                Copyright: (c) 2001 Eovia Corp. All rights reserved.

                Author: Ray Dream
                Date:   3/2/98

                Revision History

                when            who                     what & why
                ==========      ==========      ======================================================
                2/16/99         Greg            Added DragAndDropUtilities
                1/18/99         Greg            Added gPersonalityUtilities
                12/03/98        Mathieu         Added gColorConversionUtilities
                11/12/98        dsm                     moved IChangeManager from COM3DUtilities to COMUtilities
                10/14/98        cph                     added gAssertUtilities
                9/22/98         Yann            Corrected some forward declarations that were causing mangling & linking problems (not mentionning the zillion warnings)
                9/21/98         tsh                     added IID_IShFileUtilities, moved GetSeparator, GetAppPath=>GetAppDirectory
                9/14/98         cph                     Added gFileStreamUtilities
                8/10/98         Greg            Added ShPartUtilities
                8/10/98         Greg            Merged IShMenuManager into IShMenuUtilities
                8/3/98          cph                     brought over IShMenuManager and IShActionManager from COM3DUtilities    
                6/18/98         Greg            Added gMenuUtilities

*****************************************************************************************/

#ifndef __COMUTILITIES__
#define __COMUTILITIES__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"



class  TMCAsciiTranslationTable;

/*****************************************************************************\
*                                                                             *
*   Utilities pointers                                                        *
*                                                                             *
\*****************************************************************************/
// gShellUtilities keeps a pointer on the Shell Utilities interface
// This is used as a convenient back-door
// to the Shell. gShellUtilities is NULL by default, and is initialized by
// InitUtilities()

//void InitUtilities(IMCUnknown* utilities);
//void CleanUpUtilities();


#endif
